Delphi-PRAXiS
Seite 1 von 3  1 23   

Delphi-PRAXiS (https://www.delphipraxis.net/forum.php)
-   Cross-Platform-Entwicklung (https://www.delphipraxis.net/91-cross-platform-entwicklung/)
-   -   Strato Mail geht nicht mehr (https://www.delphipraxis.net/208491-strato-mail-geht-nicht-mehr.html)

skoschke 5. Aug 2021 08:54

Strato Mail geht nicht mehr
 
Hallo,

in einer Android App versende ich Mails, momentan mit TLS 1.1 da ich nichts neueres finden konnte.

Nun können Anwender, die eine Strato-Mailadresse verwenden, nicht mehr versenden, weil Strato TLS 1.1 blockt, ich brauche also dringend eine neuere Version der OpenSSL für Android...

Leider bin ich trotz intensiver Suche nicht fündig geworden :-(

Hann jemand mit einem Link helfen?

Ciao
Stefan

hhcm 5. Aug 2021 09:48

AW: Strato Mail geht nicht mehr
 
Hallo,

wie werden die Mails denn bisher versendet? Ich lese nur Kategorie Cross-Platform-Entwicklung und Android App.
Sprechen wir von FMX und TIdSMTP ?

TiGü 5. Aug 2021 10:09

AW: Strato Mail geht nicht mehr
 
Zitat:

Zitat von hhcm (Beitrag 1493280)
Sprechen wir von FMX?

Von was denn sonst? :roll:

generic 5. Aug 2021 10:46

AW: Strato Mail geht nicht mehr
 
Hier gibt es ähnliche Probleme:
https://www.delphipraxis.net/208456-...ml#post1493262

hhcm 5. Aug 2021 11:38

AW: Strato Mail geht nicht mehr
 
Zitat:

Zitat von TiGü (Beitrag 1493281)
Zitat:

Zitat von hhcm (Beitrag 1493280)
Sprechen wir von FMX?

Von was denn sonst? :roll:



CrossVCL oder ähnliches?

Bernhard Geyer 5. Aug 2021 11:42

AW: Strato Mail geht nicht mehr
 
Zitat:

Zitat von hhcm (Beitrag 1493284)
Zitat:

Zitat von TiGü (Beitrag 1493281)
Zitat:

Zitat von hhcm (Beitrag 1493280)
Sprechen wir von FMX?

Von was denn sonst? :roll:


CrossVCL oder ähnliches?

CrossVCL soll erst mit Release 2.0 Android/ioS unterstützen

mjustin 5. Aug 2021 12:59

AW: Strato Mail geht nicht mehr
 
OpenSSL für Indy:

https://github.com/IndySockets/OpenSSL-Binaries

hhcm 5. Aug 2021 13:09

AW: Strato Mail geht nicht mehr
 
Gut wenn es nur Indy gibt und er das auch nutzt,
dann an die TIdSMTP Komponente ein TIdSSLIOHandlerSocketOpenSSL ranhängen und in diesem die SSLOptions konfigurieren. (Method und SSLVersions)

Harry Stahl 5. Aug 2021 15:38

AW: Strato Mail geht nicht mehr
 
Also so wie ich das verstanden habe, wird nur TLS 1.1 und älteres nicht mehr unterstützt, aber TLS 1.2 sehr wohl.

Damit kann ich jedenfalls noch senden (und das unterstützt Indy ja auch).

Aber stimmt schon, ein Update auf 1.3 wäre auch dringend erforderlich, hoffe, dass EMBA da ein Auge drauf hat....

skoschke 6. Aug 2021 07:52

AW: Strato Mail geht nicht mehr
 
die 1.02 habe ich ja, da wird kein 1.2 oder 1.3 unterstützt...

Ciao
Stefan


Alle Zeitangaben in WEZ +1. Es ist jetzt 05:36 Uhr.
Seite 1 von 3  1 23   

Powered by vBulletin® Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2021 by Daniel R. Wolf